Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Data Fields
extended_cif Struct Reference

`#include <ffi_common.h>`

## Data Fields
ffi_cif * | cif
void * | rvalue
void ** | avalue

## Detailed Description

Definition at line 86 of file ffi_common.h.

## Field Documentation

## ◆ avalue

void** extended_cif::avalue

Definition at line 90 of file ffi_common.h.

Referenced by ffi_call(), ffi_prep_args(), ffi_prep_args_pa32(), ffi_prep_args_SYSV(), ffi_prep_args_v8(), ffi_prep_args_v9(), ffi_prep_args_VFP(), and ffi_raw_call().

## ◆ cif

ffi_cif* extended_cif::cif

Definition at line 88 of file ffi_common.h.

Referenced by ffi_call(), ffi_prep_args(), ffi_prep_args_pa32(), ffi_prep_args_SYSV(), ffi_prep_args_v8(), ffi_prep_args_v9(), ffi_prep_args_VFP(), and ffi_raw_call().

## ◆ rvalue

void* extended_cif::rvalue

Definition at line 89 of file ffi_common.h.

Referenced by ffi_call(), ffi_prep_args(), ffi_prep_args_SYSV(), ffi_prep_args_v8(), ffi_prep_args_v9(), ffi_prep_args_VFP(), and ffi_raw_call().

The documentation for this struct was generated from the following file:

- ext/fiddle/libffi-3.2.1/include/ffi_common.h